Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -1573,10 +3123,352 @@
   Values                                        rational+
 
+=head3 XMP exifEX Tags
+
+EXIF tags added by the EXIF 2.31 for XMP specification (see
+L<http://www.cipa.jp/std/documents/e/DC-X010-2017.pdf>).
+
+These tags belong to the ExifTool XMP-exifEX family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Acceleration                                  rational
+  SerialNumber                                  string
+  CameraElevationAngle                          rational
+  OwnerName                                     string
+  CompositeImage                                integer
+  CompositeImageCount                           integer+
+  CompositeImageExposureTimes                   CompImageExp Struct
+  CompImageMaxExposureAll                       rational_
+  CompImageMaxExposureUsed                      rational_
+  CompImageMinExposureAll                       rational_
+  CompImageMinExposureUsed                      rational_
+  CompImageImagesPerSequence                    integer_
+  CompImageNumSequences                         integer_
+  CompImageSumExposureAll                       rational_
+  CompImageSumExposureUsed                      rational_
+  CompImageTotalExposurePeriod                  rational_
+  CompImageValues                               rational_+
+  Gamma                                         rational
+  Humidity                                      rational
+  InteropIndex                                  string
+  ISOSpeed                                      integer
+  ISOSpeedLatitudeyyy                           integer
+  ISOSpeedLatitudezzz                           integer
+  LensMake                                      string
+  LensModel                                     string
+  LensSerialNumber                              string
+  LensInfo                                      rational+
+  PhotographicSensitivity                       integer
+  Pressure                                      rational
+  RecommendedExposureIndex                      integer
+  SensitivityType                               integer
+  StandardOutputSensitivity                     integer
+  AmbientTemperature                            rational
+  WaterDepth                                    rational
+
+=head3 XMP CompImageExp Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  MaxExposureTimesOfAll                         rational
+  MaxExposureTimesOfUsed                        rational
+  MinExposureTimesOfAll                         rational
+  MinExposureTimesOfUsed                        rational
+  NumberOfImagesInSequences                     integer
+  NumberOfSequences                             integer
+  SumOfExposureTimesOfAll                       rational
+  SumOfExposureTimesOfUsed                      rational
+  TotalExposurePeriod                           rational
+  Values                                        rational+
+
+=head3 XMP ExpressionMedia Tags
+
+Microsoft Expression Media namespace tags.  These tags are avoided when
+writing due to name conflicts with tags in other schemas.
+
+These tags belong to the ExifTool XMP-expressionmedia family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CatalogSets                                   string/+
+  Event                                         string/
+  People                                        string/+
+  Status                                        string/
+
+=head3 XMP extensis Tags
+
+Tags used by Extensis Portfolio.
+
+These tags belong to the ExifTool XMP-extensis family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Approved                                      boolean
+  ApprovedBy                                    string
+  ClientName                                    string
+  JobName                                       string
+  JobStatus                                     string
+  RoutedTo                                      string
+  RoutingNotes                                  string
+  WorkToDo                                      string
+
+=head3 XMP fpv Tags
+
+Fast Picture Viewer tags (see
+L<http://www.fastpictureviewer.com/help/#rtfcomments>).
+
+These tags belong to the ExifTool XMP-fpv family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  RichTextComment                               string
+
+=head3 XMP GAudio Tags
+
+These tags belong to the ExifTool XMP-GAudio family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AudioData                                     string
+  AudioMimeType                                 string
+
+=head3 XMP GCamera Tags
+
+Camera information found in Google panorama images.
+
+These tags belong to the ExifTool XMP-GCamera family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  BurstID                                       string
+  BurstPrimary                                  string
+  DisableAutoCreation                           string+
+  HDRPMakerNote                                 string
+  MicroVideo                                    integer
+  MicroVideoOffset                              integer
+  MicroVideoPresentationTimestampUs             integer
+  MicroVideoVersion                             integer
+  PortraitNote                                  string
+  PortraitRequest                               string
+  PortraitVersion                               string
+  SpecialTypeID                                 string+
+
+=head3 XMP GCreations Tags
+
+Google creations tags.
+
+These tags belong to the ExifTool XMP-GCreations family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CameraBurstID                                 string
+
+=head3 XMP GDepth Tags
+
+Google depthmap information. See
+L<https://developers.google.com/depthmap-metadata/> for the specification.
+
+These tags belong to the ExifTool XMP-GDepth family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Confidence                                    string/
+  ConfidenceMime                                string/
+  DepthImage                                    string/
+  Far                                           real/
+  Format                                        string/
+  ImageHeight                                   real/
+  ImageWidth                                    real/
+  Manufacturer                                  string/
+  MeasureType                                   string/
+  Mime                                          string/
+  Model                                         string/
+  Near                                          real/
+  Software                                      string/
+  Units                                         string/
+
+=head3 XMP GettyImages Tags
+
+The actual Getty Images namespace prefix is "GettyImagesGIFT", which is the
+prefix recorded in the file, but ExifTool shortens this for the family 1
+group name.
+
+These tags belong to the ExifTool XMP-getty family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AssetID                                       string
+  CallForImage                                  string
+  CameraFilename                                string
+  CameraMakeModel                               string/
+  CameraSerialNumber                            string/
+  Composition                                   string
+  ExclusiveCoverage                             string
+  GIFTFtpPriority                               string
+  ImageRank                                     string
+  MediaEventIdDate                              string
+  OriginalCreateDateTime                        date/
+  OriginalFileName                              string
+  ParentMediaEventID                            string
+  ParentMEID                                    string
+  Personality                                   string+
+  PrimaryFTP                                    string+
+  RoutingDestinations                           string+
+  RoutingExclusions                             string+
+  SecondaryFTP                                  string+
+  TimeShot                                      string
+
+=head3 XMP GFocus Tags
+
+Focus information found in Google depthmap images.
+
+These tags belong to the ExifTool XMP-GFocus family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  BlurAtInfinity                                real
+  FocalDistance                                 real
+  FocalPointX                                   real
+  FocalPointY                                   real
+
+=head3 XMP GImage Tags
+
+These tags belong to the ExifTool XMP-GImage family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  ImageData                                     string
+  ImageMimeType                                 string
+
+=head3 XMP GPano Tags
+
+Panorama tags written by Google Photosphere. See
+L<https://developers.google.com/panorama/metadata/> for the specification.
+
+These tags belong to the ExifTool XMP-GPano family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CaptureSoftware                               string
+  CroppedAreaImageHeightPixels                  real
+  CroppedAreaImageWidthPixels                   real
+  CroppedAreaLeftPixels                         real
+  CroppedAreaTopPixels                          real
+  ExposureLockUsed                              boolean
+  FirstPhotoDate                                date
+  FullPanoHeightPixels                          real
+  FullPanoWidthPixels                           real
+  InitialCameraDolly                            real
+  InitialHorizontalFOVDegrees                   real
+  InitialVerticalFOVDegrees                     real
+  InitialViewHeadingDegrees                     real
+  InitialViewPitchDegrees                       real
+  InitialViewRollDegrees                        real
+  LargestValidInteriorRectHeight                real
+  LargestValidInteriorRectLeft                  real
+  LargestValidInteriorRectTop                   real
+  LargestValidInteriorRectWidth                 real
+  LastPhotoDate                                 date
+  PoseHeadingDegrees                            real
+  PosePitchDegrees                              real
+  PoseRollDegrees                               real
+  ProjectionType                                string
+  SourcePhotosCount                             integer
+  StitchingSoftware                             string
+  UsePanoramaViewer                             boolean
+
+=head3 XMP GSpherical Tags
+
+Not actually XMP.  These RDF/XML tags are used in Google spherical MP4
+videos.  These tags are written into the video track of MOV/MP4 files, and
+not at the top level like other XMP tags.  See
+L<https://github.com/google/spatial-media/blob/master/docs/spherical-video-rfc.md>
+for the specification.
+
+These tags belong to the ExifTool XMP-GSpherical family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CroppedAreaImageHeightPixels                  integer/
+  CroppedAreaImageWidthPixels                   integer/
+  CroppedAreaLeftPixels                         integer/
+  CroppedAreaTopPixels                          integer/
+  FullPanoHeightPixels                          integer/
+  FullPanoWidthPixels                           integer/
+  InitialViewHeadingDegrees                     real/
+  InitialViewPitchDegrees                       real/
+  InitialViewRollDegrees                        real/
+  ProjectionType                                string/
+  SourceCount                                   integer/
+  Spherical                                     boolean/
+  StereoMode                                    string/
+  Stitched                                      boolean/
+  StitchingSoftware                             string/
+  TimeStamp                                     integer/
+
+=head3 XMP ics Tags
+
+Tags used by IDimager.  Nested TagStructure structures are unrolled to an
+arbitrary depth of 6 to avoid infinite recursion.
+
+These tags belong to the ExifTool XMP-ics family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AppVersion                                    string/
+  ImageRef                                      string
+  SubVersions                                   SubVersion Struct+
+  SubVersionFileName                            string_+
+  SubVersionReference                           string_+
+  TagStructure                                  TagStructure Struct+
+  LabelName1                                    string_+
+  ParentReference1                              string_+
+  Reference1                                    string_+
+  SubLabels1                                    TagStructure Struct_+
+  LabelName2                                    string_+
+  ParentReference2                              string_+
+  Reference2                                    string_+
+  SubLabels2                                    TagStructure Struct_+
+  LabelName3                                    string_+
+  ParentReference3                              string_+
+  Reference3                                    string_+
+  SubLabels3                                    TagStructure Struct_+
+  LabelName4                                    string_+
+  ParentReference4                              string_+
+  Reference4                                    string_+
+  SubLabels4                                    TagStructure Struct_+
+  LabelName5                                    string_+
+  ParentReference5                              string_+
+  Reference5                                    string_+
+  SubLabels5                                    TagStructure Struct_+
+  LabelName6                                    string_+
+  ParentReference6                              string_+
+  Reference6                                    string_+
+  TimeStamp                                     date/
+
+=head3 XMP SubVersion Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  FileName                                      string
+  VersRef                                       string
+
+=head3 XMP TagStructure Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  LabelName                                     string
+  ParentReference                               string
+  Reference                                     string
+  SubLabels                                     TagStructure Struct+
+
 =head3 XMP iptcCore Tags
 
-IPTC Core schema tags.  The actual IPTC Core namespace prefix is
+IPTC Core namespace tags.  The actual IPTC Core namespace prefix is
 "Iptc4xmpCore", which is the prefix recorded in the file, but ExifTool
-shortens this for the "XMP-iptcCore" family 1 group name. (see
+shortens this for the family 1 group name. (see
 L<http://www.iptc.org/IPTC4XMP/>)
+
+These tags belong to the ExifTool XMP-iptcCore family 1 group.
 
   Tag Name                                      Writable
@@ -1612,28 +3504,125 @@
 =head3 XMP iptcExt Tags
 
-IPTC Extension schema tags.  The actual namespace prefix is "Iptc4xmpExt",
-but ExifTool shortens this for the "XMP-iptcExt" family 1 group name.
-(see L<http://www.iptc.org/IPTC4XMP/>)
+This table contains tags defined by the IPTC Extension schema version 1.5.
+The actual namespace prefix is "Iptc4xmpExt", but ExifTool shortens this for
+the family 1 group name. (see L<http://www.iptc.org/IPTC4XMP/>)
+
+These tags belong to the ExifTool XMP-iptcExt family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
+  AboutCvTerm                                   CVTermDetails Struct+
+  AboutCvTermCvId                               string_+
+  AboutCvTermId                                 string_+
+  AboutCvTermName                               lang-alt_+
+  AboutCvTermRefinedAbout                       string_+
   AdditionalModelInformation                    string
   ArtworkOrObject                               ArtworkOrObjectDetails Struct+
+  ArtworkCircaDateCreated                       string!_+
+  ArtworkContentDescription                     lang-alt_+
+  ArtworkContributionDescription                lang-alt_+
   ArtworkCopyrightNotice                        string_+
   ArtworkCreator                                string_+
+  ArtworkCreatorID                              string_+
+  ArtworkCopyrightOwnerID                       string_+
+  ArtworkCopyrightOwnerName                     string_+
+  ArtworkLicensorID                             string_+
+  ArtworkLicensorName                           string_+
   ArtworkDateCreated                            date_+
+  ArtworkPhysicalDescription                    lang-alt_+
   ArtworkSource                                 string_+
   ArtworkSourceInventoryNo                      string_+
+  ArtworkSourceInvURL                           string_+
+  ArtworkStylePeriod                            string_+
   ArtworkTitle                                  lang-alt_+
+  AudioBitrate                                  integer
+  AudioBitrateMode                              string
+  AudioBitsPerSample                            integer
+  AudioChannelCount                             integer
+  CircaDateCreated                              string
+  ContainerFormat                               Entity Struct
+  ContainerFormatIdentifier                     string_+
+  ContainerFormatName                           lang-alt_
+  Contributor                                   EntityWithRole Struct+
+  ContributorIdentifier                         string_+
+  ContributorName                               lang-alt_+
+  ContributorRole                               string_+
+  CopyrightYear                                 integer
+  Creator                                       EntityWithRole Struct+
+  CreatorIdentifier                             string_+
+  CreatorName                                   lang-alt_+
+  CreatorRole                                   string_+
   ControlledVocabularyTerm                      string+
+  DataOnScreen                                  TextRegion Struct+
+  DataOnScreenRegion                            Area Struct_+
+  DataOnScreenRegionD                           real_+
+  DataOnScreenRegionH                           real_+
+  DataOnScreenRegionText                        string_+
+  DataOnScreenRegionUnit                        string_+
+  DataOnScreenRegionW                           real_+
+  DataOnScreenRegionX                           real_+
+  DataOnScreenRegionY                           real_+
   DigitalImageGUID                              string
   DigitalSourceFileType                         string
   DigitalSourceType                             string
+  Dopesheet                                     lang-alt
+  DopesheetLink                                 QualifiedLink Struct+
+  DopesheetLinkLink                             string_+
+  DopesheetLinkLinkQualifier                    string_+
+  EmbdEncRightsExpr                             EEREDetails Struct+
+  EmbeddedEncodedRightsExpr                     string_+
+  EmbeddedEncodedRightsExprType                 string_+
+  EmbeddedEncodedRightsExprLangID               string_+
+  Episode                                       EpisodeOrSeason Struct
+  EpisodeIdentifier                             string_
+  EpisodeName                                   string_
+  EpisodeNumber                                 string_
   Event                                         lang-alt
-  IptcLastEdited                                date
+  ShownEvent                                    Entity Struct+
+  ShownEventIdentifier                          string_+
+  ShownEventName                                lang-alt_+
+  ExternalMetadataLink                          string+
+  FeedIdentifier                                string
+  Genre                                         CVTermDetails Struct+
+  GenreCvId                                     string_+
+  GenreCvTermId                                 string_+
+  GenreCvTermName                               lang-alt_+
+  GenreCvTermRefinedAbout                       string_+
+  Headline                                      lang-alt/
+  ImageRegion                                   ImageRegion Struct+
+  ImageRegionName                               lang-alt_+
+  ImageRegionCtype                              Entity Struct_+
+  ImageRegionCtypeIdentifier                    string_+
+  ImageRegionCtypeName                          lang-alt_+
+  ImageRegionBoundary                           RegionBoundary Struct_+
+  ImageRegionBoundaryH                          real_+
+  ImageRegionBoundaryRx                         real_+
+  ImageRegionBoundaryShape                      string_+
+  ImageRegionBoundaryUnit                       string_+
+  ImageRegionBoundaryVertices                   BoundaryPoint Struct_+
+  ImageRegionBoundaryVerticesX                  real_+
+  ImageRegionBoundaryVerticesY                  real_+
+  ImageRegionBoundaryW                          real_+
+  ImageRegionBoundaryX                          real_+
+  ImageRegionBoundaryY                          real_+
+  ImageRegionID                                 string_+
+  ImageRegionRole                               Entity Struct_+
+  ImageRegionRoleIdentifier                     string_+
+  ImageRegionRoleName                           lang-alt_+
+  IPTCLastEdited                                date
+  LinkedEncRightsExpr                           LEREDetails Struct+
+  LinkedEncodedRightsExpr                       string_+
+  LinkedEncodedRightsExprType                   string_+
+  LinkedEncodedRightsExprLangID                 string_+
   LocationCreated                               LocationDetails Struct+
   LocationCreatedCity                           string_+
   LocationCreatedCountryCode                    string_+
   LocationCreatedCountryName                    string_+
+  LocationCreatedGPSAltitude                    rational_+
+  LocationCreatedGPSLatitude                    string_+
+  LocationCreatedGPSLongitude                   string_+
+  LocationCreatedIdentifier                     string_+
+  LocationCreatedLocationId                     string_+
+  LocationCreatedLocationName                   lang-alt_+
   LocationCreatedProvinceState                  string_+
   LocationCreatedSublocation                    string_+
@@ -1643,4 +3632,10 @@
   LocationShownCountryCode                      string_+
   LocationShownCountryName                      string_+
+  LocationShownGPSAltitude                      rational_+
+  LocationShownGPSLatitude                      string_+
+  LocationShownGPSLongitude                     string_+
+  LocationShownIdentifier                       string_+
+  LocationShownLocationId                       string_+
+  LocationShownLocationName                     lang-alt_+
   LocationShownProvinceState                    string_+
   LocationShownSublocation                      string_+
